PartitionedCollection
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.xml.databases.existlibrary.collections
Class PartitionedCollection

    java.lang.Object
      org.gcube.common.xml.databases.existlibrary.collections.CollectionImpl
          org.gcube.common.xml.databases.existlibrary.collections.PartitionedCollection

All Implemented Interfaces:
  Collection

    public class PartitionedCollection

extends CollectionImpl

A partitioned collection in the database

Author:
  Manuele Simi (CNR)

Nested Class Summary

Nested classes/interfaces inherited from class org.gcube.common.xml.databases.existlibrary.collections.CollectionImpl
`CollectionImpl.CollectionType`

Nested classes/interfaces inherited from interface org.gcube.common.xml.databases.existlibrary.collections.Collection
`Collection.CollectionAlreadyExistException, Collection.CollectionCreationException, Collection.CollectionException`

Constructor Summary
`PartitionedCollection(java.lang.String name)`
`PartitionedCollection(java.lang.String name, org.xmldb.api.base.Collection collection)`

Method Summary
`java.util.List<java.lang.String>` | `_internalStore(java.util.List<XMLResource> resources, CollectionImpl... subCollection)`
`void` | `create(Collection parentColl)` Creates a new Partioned Collection on the backend database
`int` | `getNumberOfSubCollections()`
`XMLResource` | `getResourceById(java.lang.String id)`
`java.util.List<java.lang.String>` | `store(java.util.List<XMLResource> resources)` Stores new Resources in the collections

Methods inherited from class org.gcube.common.xml.databases.existlibrary.collections.CollectionImpl
`AddElement, AddElementByResultSet, close, createCollection, createPartitionedCollection, createResource, deleteCollection, executeXPathDirect, executeXPathIndirect, executeXQueryDirect, executeXQueryInDirect, getChildCollectionCount, getCurrentCollection, getName, getService, openSubCollection, removeElements`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartitionedCollection

    public PartitionedCollection(java.lang.String name)

### PartitionedCollection

    public PartitionedCollection(java.lang.String name,
                                 org.xmldb.api.base.Collection collection)

Method Detail

### create

    public void create(Collection parentColl)
                throws Collection.CollectionCreationException

  Creates a new Partioned Collection on the backend database

  Throws:
    `Collection.CollectionCreationException`

### store

    public java.util.List<java.lang.String> store(java.util.List<XMLResource> resources)
                                           throws Collection.CollectionException

  Stores new Resources in the collections

  Specified by:
    `store` in class `CollectionImpl`
  Returns:
    the assigned IDs
  Throws:
    `Collection.CollectionException`

### _internalStore

    public java.util.List<java.lang.String> _internalStore(java.util.List<XMLResource> resources,
                                                           CollectionImpl... subCollection)

### getNumberOfSubCollections

    public int getNumberOfSubCollections()

### getResourceById

    public XMLResource getResourceById(java.lang.String id)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD